Subject: Re: Mounts and relative pathnames
From: [email-masked] (Earnie Boyd)

12 Mar 1998 23:19:28 -0800
Message-ID: <[email-masked]>
Content-Type: text/plain
To: [email-masked]
Cc: [email-masked]

>Date: Wed, 11 Mar 1998 23:59:49 -0500 (EST)
>From: Kenneth Chiu <[email-masked]>
>Reply-To: Kenneth Chiu <[email-masked]>
>To: Earnie Boyd <[email-masked]>
>cc: [email-masked]
>Subject: Re: Mounts and relative pathnames
>
>On Tue, 10 Mar 1998, Earnie Boyd wrote:
>> >searched the FAQ and the mailing list archives, but haven't found
>> >anything.  Suppose I do the following sequence:
>> >
>> >    mount N:/root /
>> >    mount N:/dir1 /usr
>> >    cd /
>> >    ls usr
>> >
>> >I would expect to see the contents of N:/dir1, but instead I see
>> >nothing.  If I type 'ls /usr', I see what I expect, so I think I'm
>> >executing the correct 'ls'.  If I type 'cd usr', and then 'ls', I
>> >also see what I expect.
>> 
>> Is there a physical directory name N:\root\usr?  If so then things 
will 
>> get confused/confusing.  Cygwin.dll will not know how to handle this 
>> instance, and will not handle it the same everytime.
>
>Yes, there is a real directory N:\root\usr.  Without it, usr does
>not show up if I first do a 'cd \' and then an ls.

Are you executing programs from MSDOS or do you use BASH?  Does your 
PATH environment variable include the 
[C-Z]:\cygnus\B19\H-i386-cygwin32\bin directory first?  If not, are you 
certain that you don't have another ls.exe in your path?

From BASH you can issue "type ls" to get the full path of the ls 
command.

-        \\||//
---o0O0--Earnie--0O0o----
[email-masked]
------ooo0O--O0ooo-------

______________________________________________________
Get Your Private, Free Email at http://www.hotmail.com
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".